# Generated by Django 3.2.7 on 2021-10-19 11:53

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('navigator_f3', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='YoungTree',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ph_ideal_min', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(14)], verbose_name='minimum ideal pH')),
                ('ph_ideal', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(14)], verbose_name='ideal pH')),
                ('ph_ideal_max', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(14)], verbose_name='maximum ideal pH')),
                ('trees_per_ha', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(14)], verbose_name='trees per hectare')),
                ('crop_profile', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, related_name='young_trees', to='navigator_f3.cropprofile', verbose_name='crop profile')),
            ],
            options={
                'verbose_name': 'young tree',
                'verbose_name_plural': 'young trees',
                'db_table': 'young_tree',
            },
        ),
        migrations.CreateModel(
            name='YoungTreeFertilizationYear',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(verbose_name='order')),
                ('label', models.CharField(max_length=20, verbose_name='label')),
                ('nitrogen_per_ha_min', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='minimum nitrogen per hectare')),
                ('nitrogen_per_ha', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='nitrogen per hectare')),
                ('nitrogen_per_ha_max', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='maximum nitrogen per hectare')),
                ('phosphorus_per_ha_min', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='minimum phosphorus per hectare')),
                ('phosphorus_per_ha', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='phosphorus per hectare')),
                ('phosphorus_per_ha_max', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='maximum phosphorus per hectare')),
                ('potassium_per_ha_min', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='minimum potassium per hectare')),
                ('potassium_per_ha', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='potassium per hectare')),
                ('potassium_per_ha_max', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='maximum potassium per hectare')),
                ('nitrogen_per_tree_min', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='minimum nitrogen per tree')),
                ('nitrogen_per_tree', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='nitrogen per tree')),
                ('nitrogen_per_tree_max', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='maximum nitrogen per tree')),
                ('phosphorus_per_tree_min', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='minimum phosphorus per tree')),
                ('phosphorus_per_tree', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='phosphorus per tree')),
                ('phosphorus_per_tree_max', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='maximum phosphorus per tree')),
                ('potassium_per_tree_min', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='minimum potassium per tree')),
                ('potassium_per_tree', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='potassium per tree')),
                ('potassium_per_tree_max', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='maximum potassium per tree')),
                ('young_tree', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='fertilization_years', to='young_trees.youngtree', verbose_name='young tree')),
            ],
            options={
                'verbose_name': 'young tree fertilization year',
                'verbose_name_plural': 'young tree fertilization years',
                'db_table': 'young_tree_fertilization_year',
                'ordering': ('sort_order',),
            },
        ),
    ]
